cascading.flow.local.planner

## Class LocalStepRunner

- java.lang.Object
- - cascading.flow.local.planner.LocalStepRunner

All Implemented Interfaces:
  java.util.concurrent.Callable<java.lang.Throwable>

    public class LocalStepRunner
    extends java.lang.Object
    implements java.util.concurrent.Callable<java.lang.Throwable>

### Constructor Summary

Constructors
Constructor and Description
`LocalStepRunner(FlowProcess<java.util.Properties> flowProcess, LocalFlowStep step)`

### Method Summary

Methods
`java.lang.Throwable` `call()`
`FlowProcess<java.util.Properties>` `getFlowProcess()`
`java.lang.Throwable` `getThrowable()`
`boolean` `isComplete()`
`boolean` `isSuccessful()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalStepRunner

    public LocalStepRunner(FlowProcess<java.util.Properties> flowProcess,
                   LocalFlowStep step)

### Method Detail

#### getFlowProcess

    public FlowProcess<java.util.Properties> getFlowProcess()

#### isComplete

    public boolean isComplete()

#### isSuccessful

    public boolean isSuccessful()

#### getThrowable

    public java.lang.Throwable getThrowable()

#### call

    public java.lang.Throwable call()
                             throws java.lang.Exception

Specified by:
  `call` in interface `java.util.concurrent.Callable<java.lang.Throwable>`
Throws:
  `java.lang.Exception`